Update campaign content step
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content/{stepId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": {},
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: {},
order: 123,
scheduledAt: '2023-11-07T05:31:56Z',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content/{stepId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content/{stepId}"
payload = {
"name": "<string>",
"content": {},
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"content": null
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Campaigns
Update campaign content step
Requires write:campaigns. Patch step type/content/order/schedule/templateId.
PATCH
/
api
/
v1
/
marketing
/
campaigns
/
{id}
/
content
/
{stepId}
Update campaign content step
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content/{stepId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": {},
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: {},
order: 123,
scheduledAt: '2023-11-07T05:31:56Z',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content/{stepId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content/{stepId}"
payload = {
"name": "<string>",
"content": {},
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"content": null
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Response
Update campaign content step
Show child attributes
Show child attributes
Was this page helpful?
⌘I